This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 791186 - Memory leaks found in bluefish-2.2.1-2.fc17 using gcc-with-cpychecker static analyzer
Memory leaks found in bluefish-2.2.1-2.fc17 using gcc-with-cpychecker static ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: bluefish (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Paul Howarth
Fedora Extras Quality Assurance
http://fedorapeople.org/~dmalcolm/gcc...
:
Depends On:
Blocks: cpychecker
  Show dependency treegraph
 
Reported: 2012-02-16 07:34 EST by Dave Malcolm
Modified: 2012-03-06 15:23 EST (History)
1 user (show)

See Also:
Fixed In Version: bluefish-2.2.2-1.fc17
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-03-06 15:23:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 670297 None None None Never

  None (edit)
Description Dave Malcolm 2012-02-16 07:34:04 EST
Description of problem:
I've been writing an experimental static analysis tool to detect bugs commonly occurring within C Python extension modules:
  https://fedorahosted.org/gcc-python-plugin/
  http://gcc-python-plugin.readthedocs.org/en/latest/cpychecker.html
  http://fedoraproject.org/wiki/Features/StaticAnalysisOfPythonRefcounts

I ran the latest version of the tool (in git master; post 0.9) on
bluefish-2.2.1-2.fc17.src.rpm, and it reports various errors.

You can see a list of errors here, triaged into categories (from most significant to least significant):
http://fedorapeople.org/~dmalcolm/gcc-python-plugin/2012-02-16/bluefish-2.2.1-2.fc17/

I manually inspected the results, and the two memory leaks in "Reference leaks" appear to be geunine bugs:
  zencoding.c:zencoding_run_action:ob_refcnt of '*ptr' is 1 too high
(memory leak in error handling)

  zeneditor-interface.c:get_caret_placeholder:ob_refcnt of '*pcaret_placeholder' is 1 too high
(memory leak under normal operation, I think)

The other reported errors seem to be unlikely to happen in practice.

There may of course be other bugs in my checker tool.

Hope this is helpful; let me know if you need help reading the logs that the tool generates - I know that it could use some improvement.

Version-Release number of selected component (if applicable):
bluefish-2.2.1-2.fc17
gcc-python-plugin post-0.9 git 073d390de53ef52136bd90e5ac06f1ef833d047d running the checker in an *f16* chroot
Comment 1 Paul Howarth 2012-02-17 11:06:05 EST
I have reported this upstream:

https://bugzilla.gnome.org/show_bug.cgi?id=670297
Comment 2 Fedora Update System 2012-02-29 17:47:48 EST
bluefish-2.2.2-1.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/bluefish-2.2.2-1.fc17
Comment 3 Fedora Update System 2012-03-01 19:58:46 EST
Package bluefish-2.2.2-1.fc17:
* should fix your issue,
* was pushed to the Fedora 17 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing bluefish-2.2.2-1.fc17'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-2809/bluefish-2.2.2-1.fc17
then log in and leave karma (feedback).
Comment 4 Fedora Update System 2012-03-06 15:23:34 EST
bluefish-2.2.2-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.